/*!\file voronoi.h
 *
 * \brief Prototypes pour le diagramme de voronoi
 *
 * \author Farès BELHADJ, amsi@ai.univ-paris8.fr
 * \date March 26 2014
 */

#ifndef VORONOI_H

#define VORONOI_H

#include <gl4dummies.h> /* pour les types Uint32 et SDL_Surface */

typedef struct voronoi_cell_t voronoi_cell_t;

struct voronoi_cell_t {
  int x, y;
  Uint32 color;
  int done;
};

extern void vdInit (int n);
extern int  vdGrow (void);

#endif
